package com.heyu.api.data.service.impl.order;

import com.heyu.api.data.entity.vv.VvTradeOrderLineEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.ReverseStatusEnums;
import com.heyu.api.data.service.impl.AbstractOrderAction;


public class BuyerUploadReverseTrackNumberAction extends AbstractOrderAction {
    @Override
    public ActionEnums getAction(VvTradeOrderLineEntity vvReverseOrderEntity, boolean isApp) {
        if (
                ReverseStatusEnums.seller_agree_return_wait_buyer_post.getStatus().equals(vvReverseOrderEntity.getReverseStatus())
        ) {
            if (isApp) {
                return ActionEnums.App_Buyer_Upload_Reverse_TrackNumber;
            }
        }
        return null;
    }
}
